Bug 733515 - lookup or discovery capability so that cumin can find Aviary endpoints
Summary: lookup or discovery capability so that cumin can find Aviary endpoints
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-aviary
Version: Development
Hardware: All
OS: Linux
high
medium
Target Milestone: 2.3
: ---
Assignee: Pete MacKinnon
QA Contact: Martin Kudlej
URL:
Whiteboard:
Depends On: 871080
Blocks: 733516 800660 808200
TreeView+ depends on / blocked
 
Reported: 2011-08-25 20:38 UTC by Pete MacKinnon
Modified: 2013-03-06 18:38 UTC (History)
7 users (show)

Fixed In Version: condor-7.8.2-0.1
Doc Type: Enhancement
Doc Text:
Cause: Cumin needed a means to locate Aviary SOAP endpoints. Consequence: Cumin was unable to find Aviary SOAP endpoints that may have been activated with ephemeral ports. Change: WSDL, XSD and code was designed and developed to provide a SOAP interface to locate other SOAP endpoints. Result: Cumin can retrieve Aviary SOAP endpoints through a well-known point of contact.
Clone Of:
Environment:
Last Closed: 2013-03-06 18:38:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0564 normal SHIPPED_LIVE Low: Red Hat Enterprise MRG Grid 2.3 security update 2013-03-06 23:37:09 UTC
Red Hat Bugzilla 733516 None None None Never

Internal Links: 733516

Description Pete MacKinnon 2011-08-25 20:38:45 UTC
Currently, cumin (or any Aviary client) can only connect to the scheduler or query server endpoints based on a pre-configured host and port.

Two suggestions:
1) per-pool standalone service (SOAP or REST) that the Aviary providers register with, and can be queried by cumin
2) modify the Condor plugin API so that plugins can push endpoint data to the Collector ClassAd, which in turn could be inserted into a QMF collector object property

Comment 1 Martin Kudlej 2011-09-29 11:02:43 UTC
Have you chosen any of these 2 options? How can we test this bug?

Comment 2 Pete MacKinnon 2011-09-29 14:47:40 UTC
Likely using an approach of communication over SOAP between the Aviary plugins, query server, and a new Aviary collector plugin that binds the endpoint references.

Not expected until post Sept 30.

Comment 3 Martin Kudlej 2012-03-09 11:24:40 UTC
How we can test this feature? Is there any description how to setup it?

Comment 7 Pete MacKinnon 2012-05-02 18:51:51 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Cumin needed a means to locate Aviary SOAP endpoints.
Consequence: Cumin was unable to find Aviary SOAP endpoints that may have been activated with ephemeral ports.
Change: WSDL, XSD and code was designed and developed to provide a SOAP interface to locate other SOAP endpoints.
Result: Cumin can retrieve Aviary SOAP endpoints through a well-known point of contact.

Comment 10 Martin Kudlej 2013-01-09 12:10:30 UTC
Tested with 
$CondorVersion: 7.8.8 Dec 14 2012 BuildID: RH-7.8.8-0.1.el6 $
$CondorPlatform: X86_64-RedHat_6.3 $

on RHEL 5.9/6.4 x i386/x86_64 and it works. --> VERIFIED

Comment 12 errata-xmlrpc 2013-03-06 18:38:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html


Note You need to log in before you can comment on or make changes to this bug.